Target version: Nagios monitoring   
Description

Orient DB instances must be monitored by using all oru checks: Ganglia, Munin, Nagios.

The nodes already appear in ganglia but under  D4science Portals cluster for production and under D4Science Development

servers for dev. I suggest to move them in a separated cluster if possible.

I didn't find any Munin monitoring.

I didn't find any Nagios Monitoring.

History

#1 - Jun 06, 2017 05:54 PM - Luca Frosini

Please note that due to OrientDB bug I found we need to currently run with just one node.

https://github.com/orientechnologies/orientdb/issues/7354

I'm waiting for bug resolution from OrientDB team. If they don't solve the bug by the end of June I'll implement a workaround.

#2 - Jun 26, 2017 07:03 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 70

The nagios monitoring is active on orientdb01-d4s.d4science.org. In the next days I'll add a handler to manage the restart.

Ganglia will be in a massive reshaping in the next weeks: if a configuration that I'm going to test will work, there'll be no problem to create more

clusters. Otherwise they will be collapsed even more, and the you will need to use the hostname as a filter.

#3 - Jun 27, 2017 08:03 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

The handler to manage the restarts has been added.  On the parthenos instance too.
